// index.js
// import { key } from '@/utils/author'
const app = getApp();

Page({
  data: {
    objectKey: "",
    btnLoading:false,
    addressDesc: "",
    latitude: 23.099994,
    longitude: 113.324520,
    type: "",
    fileList: []
  },
  previewa(e) {
    console.log(e);
    wx.previewImage({
      urls: [e.detail.tempFilePath]
    })
  },
  deleteImg() {
    this.setData({
      fileList: [],
      objectKey: ''
    });
  },
  textareaInput(e) {
    console.log(e);
    this.setData({
      addressDesc: e.detail.value
    })
  },
  onChange(event) {
    this.setData({
      type: event.detail
    })
  },
  afterRead(event) {
    console.log(event);
    const {
      file
    } = event.detail;

    app.upLoadRequest('/dock/manage/troubleUpload/upload', file).then(res => {
      console.log(res);
      const {
        fileList = []
      } = this.data;
      fileList.push({
        ...file,
        url: res,
      });
      this.setData({
        fileList,
        objectKey: res
      });
    })


  },
  onLoad: function () {
    this.mapCtx = wx.createMapContext('map')
    wx.getLocation({
      type: 'gcj02',
      success: (res) => {
        const {
          longitude,
          latitude
        } = res;
        this.setData({
          longitude,
          latitude
        })
      }
    })
  },
  submit() {
    let params = {
      objectKey: this.data.objectKey,
      type: this.data.type,
      latitude: this.data.latitude,
      longitude: this.data.longitude,
      addressDesc: this.data.addressDesc
    }
    console.log(params);
    this.setData({
      btnLoading:true
    })
    let that=this
    app.request("/dock/manage/troubleUpload/add", "post", params).then(res => {
      wx.showToast({
        title: '操作成功',
        icon: "none"
      })
      setTimeout(() => {
        wx.navigateBack()
        that.setData({
          btnLoading:false
        })
      }, 1500);
    }).catch(err=>{
      this.setData({
        btnLoading:false
      })
    })
  },
  getPosition() {
    wx.getLocation({
      type: 'gcj02',
      success: (res) => {
        const {
          longitude,
          latitude
        } = res;
        this.setData({
          longitude,
          latitude
        })
      }
    })
  },
  chooseLoc() {
    // wx.navigateTo({
    //   url: 'plugin://chooseLocation/index?key=' + key + '&referer=app'
    // });
  }
})