// pages/orderList/index.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    orderList: [],
    orderStatusStrList: [{
        color: '#346BE6',
        text: '待处理'
      },
      {
        color: '#00C777',
        text: '已处理'
      },
      {
        color: '#333333',
        text: '忽略'
      },
    ],
    userInfo: null,
    triggered: false,
    page: {
      pageSize: 9999,
      pageNo: 1,
      total: 0
    }
  },
  refresherrefresh(e) {
    this.updateList(1)
  },
  updateList(pageNo) {
    const {
      page,
      orderList
    } = this.data
    pageNo = pageNo ? pageNo : page.pageNo
    app.request('/dock/manage/troubleUpload/list', 'get', {
      pageNo,
      column: 'createTime',
      order: "desc",
      pageSize: page.pageSize
    }).then(res => {

      const {
        total,
        records
      } = res
      console.log(pageNo);

      this.setData({
        triggered: false,
        orderList: pageNo == '1' ? records : [
          ...orderList,
          ...records,
        ],
        page: {
          pageSize: page.pageSize,
          pageNo,
          total: total
        }
      })
      console.log(this.data.orderList);
    })
  },


  goDetail(e){
    console.log(e);
   
    wx.navigateTo({
      url: `/pages/orderDetail/index?id=${e.currentTarget.dataset.item.id}`,
    })
  },
  addNewItem() {
    wx.navigateTo({
      url: '/pages/order/index',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const userInfo = wx.getStorageSync('userInfo')
    userInfo && this.setData({
      userInfo
    }, () => {
      this.updateList(1)
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})